GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/arc-newlib-tdep.c File Reference
`#include "defs.h"`
`#include "gdbarch.h"`
`#include "arc-tdep.h"`
`#include "osabi.h"`

Go to the source code of this file.

## Functions
static void | arc_newlib_init_osabi (struct gdbarch_info info, struct gdbarch *gdbarch)
static enum gdb_osabi | arc_newlib_osabi_sniffer (bfd *abfd)
void | _initialize_arc_newlib_tdep (void)

## Function Documentation

## ◆ _initialize_arc_newlib_tdep()

void _initialize_arc_newlib_tdep | ( | void |  | ) |

Definition at line 60 of file arc-newlib-tdep.c.

References arc_newlib_init_osabi(), arc_newlib_osabi_sniffer(), GDB_OSABI_NEWLIB, gdbarch_register_osabi(), and gdbarch_register_osabi_sniffer().

## ◆ arc_newlib_init_osabi()

static void arc_newlib_init_osabi | ( | struct gdbarch_info | info,
|  | struct gdbarch * | gdbarch
| ) |  |
| static

Definition at line 30 of file arc-newlib-tdep.c.

References arc_debug, debug_printf(), gdbarch_tdep(), and gdbarch_tdep::jb_pc.

Referenced by _initialize_arc_newlib_tdep().

## ◆ arc_newlib_osabi_sniffer()

static enum gdb_osabi arc_newlib_osabi_sniffer | ( | bfd * | abfd | ) |
| static

Definition at line 45 of file arc-newlib-tdep.c.

References arc_debug, debug_printf(), GDB_OSABI_NEWLIB, and GDB_OSABI_UNKNOWN.

Referenced by _initialize_arc_newlib_tdep().